Foreman - Feature #8526

two_pane form does not serialize file upload when submitted
Description

<ohadlevy> slukasik: when two_pane is running, we serialize the form data and send it to the server
<ohadlevy> however file uploads cant be serialzed
<ohadlevy> so they are simply ignored

<ohadlevy> slukasik: ok, this is an issue with foreman two-pane, we probably need to offer a generic solution, would you mind

opening an issue?

This is currently not affecting Foreman itself, but it affects plug-ins. My plug-in (foreman_openscap) uses two_pane form for file
upload. https:/isimluk.fedorapeople.org/blog/pics/file_upload.jpg

Related issues:

Related to Foreman - Bug #11062: Two pane AJAX submit does not work

Closed 07/09/2015

Associated revisions

Revision 1049a7b5 - 12/03/2014 04:59 AM - Ohad Levy

fixes #8526 - file uploads are now possible via two_pane.

NOTE this will probably only work with HTML5 based browsers.

Revision b4f66cc8 - 12/15/2014 10:00 AM - Ohad Levy

fixes #8526 - file uploads are now possible via two_pane.

NOTE this will probably only work with HTML5 based browsers.

(cherry picked from commit 1049a7b53afbbea8963d9a48114c6982bbd07a7d)

History

#1 - 11/27/2014 09:46 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1986 added

- Pull request deleted ()

#2 - 11/27/2014 09:49 AM - Dominic Cleal
- Assignee set to Ohad Levy

#3 - 12/03/2014 05:01 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
https://isimluk.fedorapeople.org/blog/pics/file_upload.jpg

- % Done changed from 0 to 100

Applied in changeset 1049a7b53afbbea8963d9a48114c6982bbd07a7d.

#4 - 12/03/2014 05:02 AM - Dominic Cleal

- translation missing: en.field_release set to 29

#5 - 07/09/2015 08:07 AM - Marek Hulan
- Related to Bug #11062: Two pane AJAX submit does not work added
